Arch Remove: Difference between revisions

From FreeCAD Documentation
(add <translate>)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add]]}}
<translate>
<translate>
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add]]}}

==Description==
==Description==


Line 7: Line 8:
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]


[[Image:Arch Remove example.jpg]]
[[Image:Arch Remove example.jpg|600px]]


In the above image, a box is being subtracted from a wall
In the above image, a box is being subtracted from a wall
Line 20: Line 21:


The Remove tool can by used in [[macros]] and from the python console by using the following function:
The Remove tool can by used in [[macros]] and from the python console by using the following function:
</translate>

'''removeComponents (objectsList,[hostObject])''': removes the given component or the components from the
'''removeComponents (objectsList,[hostObject])'''
given list from their parents. If a host object is specified, this function will try adding the components as
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
<translate>
holes to the host object instead.

Example:
Example:
</translate>
</translate>
<syntaxhighlight>
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line 33: Line 34:
Arch.addComponents(box,wall)
Arch.addComponents(box,wall)
Arch.removeComponents(box)
Arch.removeComponents(box)
</syntaxhighlight>

<languages/>
<languages/>

Revision as of 08:38, 29 November 2013

Arch Remove

Menu location
Arch -> Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add example
  • Subtract a shape-based object from an Arch component such as a wall or structure

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)